## Class TImageClickEventParameter

Description

TImageClickEventParameter class

TImageClickEventParameter encapsulates the parameter data for TImageButton::onClick event of TImageButton controls.

- since: 3.0
- version: $Id: TImageButton.php 1850 2007-04-09 03:32:50Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TImageButton.php (line 385)

    TComponent
       |
       --TEventParameter
          |
          --TImageClickEventParameter

Method Summary
TImageClickEventParameter __construct (integer $x, integer $y)
integer getX ()
integer getY ()
void setX (integer $value)
void setY (integer $value)
Methods
Constructor __construct (line 403)

Constructor.

- access: public

TImageClickEventParameter __construct (integer $x, integer $y)

- integer $x: X coordinate of the clicking point
- integer $y: Y coordinate of the clicking point

getX (line 412)

- return: X coordinate of the clicking point, defaults to 0
- access: public

integer getX ()
getY (line 428)

- return: Y coordinate of the clicking point, defaults to 0
- access: public

integer getY ()
setX (line 420)

- access: public

void setX (integer $value)

- integer $value: X coordinate of the clicking point

setY (line 436)

- access: public

void setY (integer $value)

- integer $value: Y coordinate of the clicking point

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:15 -0400 by phpDocumentor 1.3.0RC4